/* main content */

#main-content {
    background-color: var(--white);
    color: var(--black);
}

/* presentation ///////////////////////////////////////////////////////////////// */

#presentation {
    height: 100%;
    overflow: hidden;
}
#presentation section {
    position: relative;
    display: flex;
    z-index: 10;
    position: relative;
    padding: 0 0 var(--space) 0;
}
#presentation section::after {
    content: '';
    display: block;
    position: relative;
    top: 2em;
    height: 36vw;
    width: 10%;
    opacity: 1;
}

#presentation section:nth-child(odd) {
    flex-direction: row-reverse;
}
#presentation section:nth-child(odd)::after {
    left: -34%;
}
#presentation section:nth-child(even)::after {
    right: -34%;
}

#presentation section.intro{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1em 0 0 !important;
}
#presentation section.intro::after{
    height: unset;
}
#presentation section.intro h1{
    font-size: 1.8em;
    padding: 2em 0 2em;
}
#presentation section.intro .content .text{
    position: unset;
    width: 100%;
    left: unset !important;
}
#presentation section.intro p:last-child{
    padding-bottom: 1em;
}

/* presentation thumb */
#presentation section .thumb {
    background-size: contain;
    width: 60%;
    margin: 0.5em 0 0.5em 0;
    z-index: 10;
}

#presentation section:nth-child(even) .thumb {
    right: 12%;
    border-radius: 0 50px 0 0;
}

#presentation section:nth-child(odd) .thumb {
    left: 12%;
    border-radius: 50px 0 0 0;
}

/* presentation content  */

#presentation section .content {
    max-width: 48em;
    width: 50%;
    margin-bottom: 3em;
    z-index: 10;
    position: relative;
}

#presentation section .content .text {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: rgba(255, 255, 255, 1);
    bottom: -13vw;
    padding: 2em;
    min-height: 64%;
}

#presentation section:nth-child(odd) .content .text {
    left: -3em;
    border-radius: 50px 0 0 0;
}

#presentation section:nth-child(even) .content .text {
    right: -3em;
    border-radius: 0 50px 0 0;
}

/* color //////////////////////////////////////////////////////  */

.color-white{
    background-color: var(--white);
}

.color-black{
    background-color: var(--black);
}

.color-orange{
    background-color: var(--orange);
}
.color-orange-af::after{
    background-color: var(--orange);
}

.color-green{
    background-color: var(--green);
}
.color-green-af::after{
    background-color: var(--green);
}

.color-yellow{
    background-color: var(--yellow);
}
.color-yellow-af::after{
    background-color: var(--yellow);
}

.color-red{
    background-color: var(--red);
}
.color-red-af::after{
    background-color: var(--red);
}

.color-grey{
    background-color: var(--grey);
}
.color-grey-af::after{
    background-color: var(--grey);
}


/* wines preview list //////////////////////////////////////////////////////  */

#wines-preview .packshot {
    position: relative;
    display: flex;
    justify-content: space-around;
    flex-wrap: nowrap;
    height: 50vw;
    min-height: 10em;
}

#wines-preview .packshot .wine-card {
    display: block;
    bottom: -4em;
    width: 100%;
    height: 80%;
    min-height: 8em;
    overflow: hidden;
    cursor: pointer;
}

#wines-preview .packshot .wine-card:nth-child(3n + 2) {
 padding-top:2rem;
}

/* #wines-preview .packshot .wine-card:nth-child(3n + 1) {
    background-color: var(--green);
}
#wines-preview .packshot .wine-card:nth-child(3n + 2) {
    background-color: var(--yellow);
}
#wines-preview .packshot .wine-card:nth-child(3n) {
    background-color: var(--orange);
} */

/* #wines-preview .packshot .wine-card:after {
    content: '';
    display: block;
    position: relative;
    bottom: 5em;
    left: -3em;
    width: 21vw;
    height: 16vh;
    border-radius: 10em;
    z-index: 12;
    background-color: rgba(0, 0, 0, 0.2);
} */

#wines-preview .packshot .wine-card img {
    position: relative;
    max-height: 100%;
    display: block;
    margin: auto;
    padding: 10%;
    z-index: 13;
    cursor: pointer;
}

/* wines details list //////////////////////////////////////////////////////  */

#recettes ,
#wines-details {
    margin: 0 0 6em 0;
    position: relative;
    z-index: 19;
}

#recettes section ,
#wines-details section {
    display: flex;
    margin: 0 0 var(--space) 0;
    line-height: 1.4;
    min-height: 13em;
    min-height: auto;
}

#recettes section:nth-child(odd) ,
#wines-details section:nth-child(odd) {
    flex-direction: row;
    right: 0;
}
#recettes section:nth-child(even) ,
#wines-details section:nth-child(even) {
    flex-direction: row-reverse;
    left: 0;
}

#recettes h3.title,
#wines-details h3.title{
    font-size: 1.3em;
    font-weight: bold;
}


/* situation */

#recettes section .situation ,
#wines-details section .situation {
    position: relative;
    width: 45%;
    overflow: hidden;
    z-index: 20;
}

#recettes section .situation.solo-img-30 ,
#wines-details section .situation.solo-img-30 {
    width: 30%;
    margin: 0 auto;
}

#recettes section .situation.solo-img-10 ,
#wines-details section .situation.solo-img-10 {
    width: 10%;
    margin: 0 auto;
}

#recettes section:nth-child(odd) .situation ,
#wines-details section:nth-child(odd) .situation {
    left: 2em;
}
#recettes section:nth-child(even) .situation ,
#wines-details section:nth-child(even) .situation {
    right: 2em;
}
#recettes section .situation img ,
#wines-details section .situation img {
    object-fit: cover;
    min-height: 100%;
}

/* content  */

#recettes section .content ,
#wines-details section .content {
    position: relative;
    width: 55%;
    z-index: 20;
}
#recettes section .content::after ,
#wines-details section .content::after {
    display: block;
    position: absolute;
    content: '';
    height: 80%;
    width: 70%;
    z-index: 18;
    top: 7%;
}

#recettes section:nth-child(odd) .content::after ,
#wines-details section:nth-child(odd) .content::after {
    left: 21%;
}
#recettes section:nth-child(even) .content::after ,
#wines-details section:nth-child(even) .content::after {
    right: 21%;
}

/* #wines-details section:nth-child(3n + 1) .content::after {
    background-color: var(--green);
}
#wines-details section:nth-child(3n + 2) .content::after {
    background-color: var(--yellow);
}
#wines-details section:nth-child(3n) .content::after {
    background-color: var(--orange);
} */

#recettes section .content .bottle ,
#wines-details section .content .bottle {
    position: relative;
    height: 100%;
    z-index: 23;
}

#recettes section .content .bottle img ,
#wines-details section .content .bottle img {
    height: 80%;
    position: absolute;
    max-height: 80vh;
    min-height: 80vh;
}

#recettes section:nth-child(even) .content .bottle img ,
#wines-details section:nth-child(even) .content .bottle img {
    left: 10%;
    bottom: 0;
}

#recettes section:nth-child(odd) .content .bottle img ,
#wines-details section:nth-child(odd) .content .bottle img {
    right: 10%;
    bottom: 0;
}

#recettes section .content .text ,
#wines-details section .content .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    width: 80%;
    background-color: var(--white);
    margin: 1em;
    padding: 3em 4em 3em 5em;
    top: 2em;
    z-index: 20;
    height: 100%;
}

#recettes section .content .text h4 ,
#wines-details section .content .text h4 {
    font-weight: bold;
    font-size: 1.2rem;
}

#recettes section:nth-child(odd) .content .text ,
#wines-details section:nth-child(odd) .content .text {
    left: -5%;
}
#recettes section:nth-child(even) .content .text ,
#wines-details section:nth-child(even) .content .text {
    right: -5%;
}
#recettes section .content .text p ,
#wines-details section .content .text p {
    font-weight: 300;
    margin-bottom: 20px;
}

#search input, #myProduct{
    border: 1px solid whitesmoke;
}

#product{
    margin:auto;
}
#contact{
    width: 80%;
}

#search input, #search span{
    font-size: .8em;
}

#contact h3{
    padding: 0 0 2em;
}

#storeLocator-container, #shopList-container {
    padding: 2em;
}

#storeLocator-container #product{
    padding: 0;
}

.content .logo-TV-content{
    z-index: 10;
    display: block;
    margin: 1rem auto;
}

.content .logo-TV-content img{
    width: 5rem;
}

/* sections full-text //////////////////////////////////////////////////////  */

#full-text{
    display: flex;
    justify-content: center;
    flex-direction: row;

    width: 75%;
    margin: 0 auto var(--space) !important;
    padding: 10px 0;

    position: relative;
    top: var(--spaceless);

    text-align: center;
}

#full-text .wine-details{
    margin-bottom: 1em;
    list-style-type: none;
    text-align: left;
    color: var(--grey);
}

#full-text .wine-details li{
    margin-bottom: 5px;
}

#full-text span{
    display: block;
    margin-top: 1em;
}

#full-text a{
    text-decoration: underline;
    color: var(--black);
}

#full-text.column{
    flex-direction: column !important;
}

.center-visual{
    width:60%;
    margin: auto;
    padding-top:50px;
}